Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.simpl
Class CascadingClassLoadHelper

    java.lang.Object
      org.quartz.simpl.CascadingClassLoadHelper

All Implemented Interfaces:
  ClassLoadHelper

public class CascadingClassLoadHelper
extends Object
implements ClassLoadHelper

A `ClassLoadHelper` uses all of the `ClassLoadHelper` types that are found in this package in its attempts to load a class, when one scheme is found to work, it is promoted to the scheme that will be used first the next time a class is loaded (in order to improve perfomance).

This approach is used because of the wide variance in class loader behavior between the various environments in which Quartz runs (e.g. disparate application servers, stand-alone, mobile devices, etc.). Because of this disparity, Quartz ran into difficulty with a one class-load style fits-all design. Thus, this class loader finds the approach that works, then 'remembers' it.

Author:
  jhouse
See Also:
  `ClassLoadHelper`, `LoadingLoaderClassLoadHelper`, `SimpleClassLoadHelper`, `ThreadContextClassLoadHelper`, `InitThreadContextClassLoadHelper`

Constructor Summary
`CascadingClassLoadHelper()`

Method Summary
`URL` | `getResource(String name)` Finds a resource with a given name.
`InputStream` | `getResourceAsStream(String name)` Finds a resource with a given name.
`void` | `initialize()` Called to give the ClassLoadHelper a chance to initialize itself, including the oportunity to "steal" the class loader off of the calling thread, which is the thread that is initializing Quartz.
`Class` | `loadClass(String name)` Return the class with the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CascadingClassLoadHelper

    public CascadingClassLoadHelper()

Method Detail

### initialize

    public void initialize()

  Called to give the ClassLoadHelper a chance to initialize itself, including the oportunity to "steal" the class loader off of the calling thread, which is the thread that is initializing Quartz.

  Specified by:
    `initialize` in interface `ClassLoadHelper`

### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

  Return the class with the given name.

  Specified by:
    `loadClass` in interface `ClassLoadHelper`
  Throws:
    `ClassNotFoundException`

### getResource

    public URL getResource(String name)

  Finds a resource with a given name. This method returns null if no resource with this name is found.

  Specified by:
    `getResource` in interface `ClassLoadHelper`
  Parameters:
    `name` - name of the desired resource
  Returns:
    a java.net.URL object

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

  Finds a resource with a given name. This method returns null if no resource with this name is found.

  Specified by:
    `getResourceAsStream` in interface `ClassLoadHelper`
  Parameters:
    `name` - name of the desired resource
  Returns:
    a java.io.InputStream object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD